SXMV(1)

NAME
sxmv - move files between SX volumes and clusters

SYNOPSIS
sxmv [OPTIONS]... SOURCE... DEST

DESCRIPTION
sxmv can move files and entire directories within a single volume or between volumes and different Skylable SX clusters.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-r, --recursive
    Recursively move files from SOURCE to DEST directory

-D, --debug
    Enable debug messages

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-f, --filter-dir=PATH
    Path to the SX filter directory (default: @SX_FILTER_DIR@)

EXAMPLES
To rename the file 'foo' to 'bar' run:
sxmv sx://cluster/vol/foo sx://cluster/vol/bar
To move directory 'movies' from the volume 'data' to 'oldstuff' run:
sxmv -r sx://cluster/data/movies/ sx://cluster/oldstuff/movies/

SEE ALSO
sxcp(1), sxls(1), sxcat(1), sxrm(1), sxrev(1), sxinit(1)